Skip to main content
GET
/
v1
/
quotes
/
{quoteId}
cURL
curl --request GET \
  --url https://api.nxos.io/v1/quotes/{quoteId} \
  --header 'Authorization: <authorization>'
{
  "object": "quote",
  "quoteId": "quote_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "accountId": "acct_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "fromAsset": "USD",
  "toAsset": "USDC",
  "fromAmount": "10000.00",
  "toAmount": "9997.000000",
  "appliedRate": "1.0003",
  "spread": {
    "fee": "3.00",
    "asset": "USD"
  },
  "status": "PENDING",
  "expiresAt": "2025-03-15T14:35:00.000Z",
  "createdAt": "2025-03-15T14:30:00.000Z"
}

Headers

Authorization
string
required

Bearer token. Format: Bearer <api_key>

Path Parameters

quoteId
string
required

Response

The request has succeeded.

An exchange quote for converting between two assets.

object
enum<string>
required

Object type. Always quote.

Available options:
quote
quoteId
string
required

Unique quote identifier.

accountId
string
required

Account this quote belongs to.

fromAsset
string
required

Source asset code (e.g., USD).

toAsset
string
required

Destination asset code (e.g., USDT).

fromAmount
string
required

Source amount in major units (e.g., 100.00).

toAmount
string
required

Destination amount in major units (e.g., 99.97).

appliedRate
string
required

The exchange rate applied to this quote.

spread
object
required

Spread fee details. Null if no spread fee was applied.

status
enum<string>
required

Current quote status.

Available options:
PENDING,
COMPLETED,
EXPIRED,
FAILED
expiresAt
string
required

When this quote expires. Quotes are valid for 5 minutes.

createdAt
string
required

When this quote was created.